% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tse.R
\docType{data}
\name{tse}
\alias{tse}
\title{Example TreeSummarizedExperiment (TSE) Object}
\format{
A \code{TreeSummarizedExperiment} object with:
\describe{
\item{assays}{Matrix of observed counts or abundances.}
\item{colData}{Sample metadata table.}
\item{rowData}{Taxonomic annotations or feature metadata (if available).}
}
}
\source{
Example dataset for microbiome analysis.
}
\usage{
data(tse)
}
\value{
A \code{TreeSummarizedExperiment} object containing simulated microbiome data.
}
\description{
This dataset contains simulated microbiome data stored as a \code{TreeSummarizedExperiment} (TSE) object.
The TSE structure combines abundance data, sample metadata, and optional feature annotations,
suitable for downstream statistical analysis of microbiome datasets.
}
\examples{
if (requireNamespace("TreeSummarizedExperiment", quietly = TRUE)) {
  data(tse)
  tse
  SummarizedExperiment::assay(tse)
  SummarizedExperiment::colData(tse)
  SummarizedExperiment::rowData(tse)
}
}
\seealso{
\code{\link[TreeSummarizedExperiment:TreeSummarizedExperiment-constructor]{TreeSummarizedExperiment::TreeSummarizedExperiment()}}
}
\keyword{datasets}
